# tazwok.conf: Tazwok configuration file.
#

# WOK_UPDATE_METHOD can be "tarball" or "hg"
# tarball: download the full tarball and copy it into build-wok.
# hg: download only the new changes, needs mercurial installed.
WOK_UPDATE_METHOD="hg"

TARBALL_WOK="$MIRROR/wok.tar.lzma"
HG_WOK="http://hg.slitaz.org/wok"

# save_wok: Save receipts known to compile well.
# It will generate the saved woks into packages and packages-incoming,
# containing cooking stuff used to compile packages on theses repositories.
# To disable it, comment the variable definition.
# If save_wok="tarball", a wok.taz.lzma will be generated each time you
# succefully check-incoming.
save_wok=yes

# Use an online repository to get packages instead of one
# you builded yourself / you rsyncked.
#
# Note: you should enable this on a repo per repo basis,
# you probably don't want to set this globally.
# You can put particular configuration into LOCAL_REPOSITORY/tazwok.conf
# You don't need to copy the whole config: the variable definition alone
# is enough as all other datas will be get from global config.
# USE_ONLINE_PKG="$MIRROR"

# Default makeflags.
# This one make compilation use all cpu when possible, and have
# priority hover other processes.
# MAKEFLAGS="-j$((`grep processor /proc/cpuinfo | wc -l`+1))"
# This one makes use of all cpu but without priority, so if you
# run something else it can run smoothly even while compiling.
MAKEFLAGS="-j`grep processor /proc/cpuinfo | wc -l`"

# Default architecture.
ARCH="i486"

# Build and host. These options are for cross-compiling. If you specify
# both options and BUILD_SYSTEM is different from HOST_SYSTEM, configure
# will prepare to cross-compile from BUILD_SYSTEM to be used on HOST_SYSTEM.
BUILD_SYSTEM="$ARCH-pc-linux-gnu"
HOST_SYSTEM="$ARCH-pc-linux-gnu"

# Default compilation flags.
# More details at :
# http://www.gentoo.org/doc/en/gcc-optimization.xml
# http://en.gentoo-wiki.com/wiki/Safe_Cflags
#
# Note : -pipe will be automatically disabled if you have less than
# 512MB of free RAM to avoid gcc crashes.
#
# Default SliTaz flags - wide compatibility & optimized for i386 as it's the
# slowest CPU :
#CFLAGS="-mtune=$ARCH -O2 -pipe -fomit-frame-pointer"
# Where ARCH=i386
#
# Cook compatible packages partially optimized for your own hardware :
#CFLAGS="-mtune=$ARCH -O2 -pipe -fomit-frame-pointer"
# Where ARCH=your arch
#
# Cook packages fully optimized for your hardware - Warning, compatible only
# with same hardware and newest of the same family :
#CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer"
#CFLAGS="-mtune=$ARCH -O2 -pipe -fomit-frame-pointer"
CFLAGS="-march=$ARCH -Os -pipe -fomit-frame-pointer"
CXXFLAGS="$CFLAGS"

# Default tool prefix.
TOOLPREFIX="${HOST_SYSTEM}-"

# CONFIGURE_ARGS is here only for backward compatibility.
CONFIGURE_ARGS="--build=$BUILD_SYSTEM --host=$HOST_SYSTEM"

# Translation files to be included in packages. Note that you can specify
# several locales.
LOCALE="fr"

# Mirrors URLs. To download sources near your location.
# GNU mirror :
GNU_MIRROR="ftp://sunsite.cnlab-switch.ch/mirror/gnu"
# SourceForge mirror :
SF_MIRROR="http://switch.dl.sourceforge.net/sourceforge"
# Xorg mirror :
XORG_MIRROR="http://xorg.freedesktop.org/releases/individual"
# Gnome mirror :
GNOME_MIRROR="http://ftp.gnome.org/pub/GNOME/sources"

# Favorite console editor.
EDITOR="nano"

# FSH standard directories with init. Package generation will abort if
# a file is installed in a non-specified path. Note /vz is for OpenVZ.
FSH="bin boot dev etc home init lib media mnt proc root sbin share sys \
tmp usr run run/udev var vz usr/bin usr/games usr/include usr/lib usr/local usr/sbin \
usr/share usr/src"

# tazpkg compression "gzip" or "lzma".
COMPRESSION="lzma"

# Slitaz Toolchain : the tools used to compile all other packages.
# Toolchain packages don't need to be included as build_depends
# because they are in the chroot by default. The order in this
# variable is important : it's the compile order for the temporary
# toolchain which can be used to recook the base chroot, then all
# the wok. Toolchain is compiled this way according to the LFS book :
# First - binutils, GCC; at this point they are linked to the host system.
# Second - the temp toolchain using the order defined in this variable.
# The toolchain is cross-compiled against a self-depending glibc.
# Third - all the wok in normal order, including the toolchain packages.
# This cook order is used only if glibc/binutils/gcc/linux-api-headers
# are updated to the next minor version or more (y.x.z -> y.x+1.z).
SLITAZ_TOOLCHAIN="linux-api-headers
glibc
binutils
gcc
busybox
ncurses
bash
bzip2
gawk
gettext
m4
make
patch
db
gdbm
zlib
perl
texinfo
autoconf
automake
lzma"

# Slitaz toolchain extra : packages which are needed to cook others
# but which are not in the core temporary toolchain.
# Note : order is not important here.
SLITAZ_TOOLCHAIN_EXTRA="tazpkg
tazwok
pkg-config
libtool
libpthread-stubs"

# Cook options :
# Repack sources in .tar.lzma format.
repack_src="yes"
